This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen

Bug 1707

Summary: Compilation warnings
Product: Eigen Reporter: Christoph Hertzberg <chtz>
Component: Core - generalAssignee: Nobody <eigen.nobody>
Status: RESOLVED FIXED    
Severity: Compilation Problem CC: chtz, gael.guennebaud, jacob.benoit.1
Priority: Normal    
Version: 3.4 (development)   
Hardware: All   
OS: All   
Whiteboard:
Bug Depends on:    
Bug Blocks: 1608    

Description Christoph Hertzberg 2019-05-06 14:43:12 UTC
Recently (https://bitbucket.org/eigen/eigen/commits/85794b09e) a number of EIGEN_DEPRECATED annotations were added which causes lots of warnings in the test-suite (which hides more valid warnings).

Shall we:
 * Not test deprecated functions?
 * Disable deprecation warnings when testing deprecated functions?
 * Do not deprecate functions when building the test-suite?
Comment 1 Gael Guennebaud 2019-05-07 07:04:50 UTC
I would probably go with "Disable deprecation warnings when testing deprecated functions?" + putting tests of deprecated features into separate unit tests so that deprecation warnings are disabled only for them. Otherwise there is a risk to miss warnings about non-deprecated code calling deprecated functions.
Comment 2 Christoph Hertzberg 2019-05-10 13:01:40 UTC
Fixed: https://bitbucket.org/eigen/eigen/commits/d7dc38d92607e

There already was a compile-flag for that: EIGEN_NO_DEPRECATED_WARNING

I'm not 100% sure why Geometry/Transform.h used lazyAssign instead of simple assignments (I guess the only time this really makes a difference would be for dynamic-sized transformations).
Maybe a the assignments should be marked as not aliasing, though (feel free to modify that).
Comment 3 Nobody 2019-12-04 18:37:14 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/1707.